View Issue Details

IDProjectCategoryView StatusLast Update
0010952LazarusLCLpublic2011-12-01 11:22
ReporterC Western Assigned ToVincent Snijders  
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
PlatformLinuxOSFedora 
Product Version0.9.25 (SVN) 
Summary0010952: Strange scrolling in grids
DescriptionWhen a grid has a vertical scroll bar, clicking the up and down arrows does not necessarily scroll by one cell; if there are not many cells it will move the scroll bar but not the grid. I think this action should always scroll by one cell.

This bug is the remaining issue in 10932 - VisibleRowCount seems to be fixed (thanks) and I am submitting this as a separate issue. The comments in 10932 suggest it is GTK2 only
Tagsgtk2
Fixed in Revision
LazTarget1.2
WidgetsetGTK 2
Attached Files

Relationships

related to 0010779 closedZeljan Rikalo TScrolledWinControl does not scroll correctly non TWinControl childs under gtk2 
related to 0009049 closedVincent Snijders ScrollBox wrong ScrollBars position 
related to 0011010 closedAles Katona TScrollBox color change applies to only viewable area. 

Activities

C Western

2009-11-08 15:15

reporter   ~0031999

I think this has been fixed in the meantime, and can be closed.

Vincent Snijders

2009-11-08 16:53

manager   ~0032004

Thanks for retesting.

Issue History

Date Modified Username Field Change
2008-03-05 22:20 C Western New Issue
2008-03-05 22:20 C Western Widgetset => GTK 2
2008-03-05 23:54 Vincent Snijders LazTarget => 1.2
2008-03-05 23:54 Vincent Snijders Status new => acknowledged
2008-03-06 13:25 Vincent Snijders Relationship added has duplicate 0010962
2008-03-06 13:25 Vincent Snijders Relationship deleted has duplicate 0010962
2008-04-12 12:45 Felipe Monteiro de Carvalho Tag Attached: gtk2
2008-04-16 16:12 Felipe Monteiro de Carvalho Relationship added related to 0010779
2008-04-16 16:12 Felipe Monteiro de Carvalho Relationship added related to 0009049
2008-04-16 18:48 Felipe Monteiro de Carvalho Relationship added related to 0011010
2009-11-08 15:15 C Western Note Added: 0031999
2009-11-08 16:53 Vincent Snijders Status acknowledged => resolved
2009-11-08 16:53 Vincent Snijders Resolution open => fixed
2009-11-08 16:53 Vincent Snijders Assigned To => Vincent Snijders
2009-11-08 16:53 Vincent Snijders Note Added: 0032004
2011-12-01 11:22 Marc Weustink Status resolved => closed